\resizebox{\columnwidth}{!}{
    \begin{tikzpicture}[
        roundnode/.style={circle, draw=black, fill=black, very thick, minimum size=1pt,},
        ignorednode/.style={circle, draw=black!20, fill=black!20, very thick, minimum size=1pt,},
        arrow/.style={|->, thick,},
        message/.style={->, blue!50, dashed, -{Circle[length=4pt,]}},
        ]

        \node[roundnode] (11) {};
        \node[left] at (11.west) {$p_0$};
        \node[above] at (11.north) {$I(0)$};
        \node[roundnode] (12) [right=of 11] {};
        \node[above] at (12.north) {$I(2)$};
        \node[roundnode] (13) [right=of 12] {};
        \node[above] at (13.north) {$D(1)$};
        \node[roundnode] (14) [right=of 13] {};
        \node[above] at (14.north) {$R/\{0,2\}$};
        
        \draw[arrow] (11) -- (12);
        \draw[arrow] (12) -- (13);
        \draw[arrow] (13) -- (14);        
        
        \node[roundnode] (21) [below=10pt of 11] {};
        \node[left] at (21.west) {$p_1$};
        \node[below] at (21.south) {$I(1)$};
        \node[roundnode] (22) [right=of 21] {};
        \node[below] at (22.south) {$R/\{0,1,2\}$};
        \node[roundnode] (23) [right=of 22] {};
        \node[below] at (23.south) {$R/\{0,2\}$};
    
        \draw[arrow] (21) -- (22);
        \draw[arrow] (22) -- (23);
        
        \draw[message] (21) -- ($(11)!0.5!(12)$);
        \draw[message] (11) -- (21);
        \draw[message] (12) -- ($(21)!0.5!(22)$);
        \draw[message] (13) -- ($(22)!0.5!(23)$);

    \end{tikzpicture}
}